Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class InvalidValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.compoze.collab.util.NestedRuntimeException
                      com.compoze.collab.CollaborationRuntimeException
                          com.compoze.collab.InvalidValueException

All Implemented Interfaces
  Serializable

    public class InvalidValueException

extends CollaborationRuntimeException

Exceptions of this class are thrown when a property value is invalid and the programmer attempts to access the value as a datatype with no logical support for values of type `InvalidValue` (anything but `Object`).

See Also
  Serialized Form

Constructor Summary
`InvalidValueException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, InvalidValue value)` Constructs an InvalidValueException.
`InvalidValueException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param, InvalidValue value)` Constructs an InvalidValueException.
`InvalidValueException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, InvalidValue value)` Constructs an InvalidValueException.
`InvalidValueException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey baseKey, Object param, InvalidValue value)` Constructs an InvalidValueException.

Method Summary
`InvalidValue` | `getInvalidValue()` Gets the invalid value.

Methods inherited from class com.compoze.collab.CollaborationRuntimeException
`getAdminMessage, getAdminResolution, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedRuntimeException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidValueException

    public InvalidValueException(com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                 InvalidValue value)

  Constructs an InvalidValueException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key
    `value` - the invalid value (not `null`)

### InvalidValueException

    public InvalidValueException(com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                 Object param,
                                 InvalidValue value)

  Constructs an InvalidValueException.

  Parameters
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter
    `value` - the invalid value (not `null`)

### InvalidValueException

    public InvalidValueException(Throwable t,
                                 com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                 InvalidValue value)

  Constructs an InvalidValueException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `value` - the invalid value (not `null`)

### InvalidValueException

    public InvalidValueException(Throwable t,
                                 com.compoze.collab.spi.Context ctx,
                                 com.compoze.collab.spi.ExceptionResourceKey baseKey,
                                 Object param,
                                 InvalidValue value)

  Constructs an InvalidValueException.

  Parameters
    `t` - the underlying exception
    `ctx` - session context
    `baseKey` - message base key
    `param` - message parameter
    `value` - the invalid value (not `null`)

Method Detail

### getInvalidValue

    public InvalidValue getInvalidValue()

  Gets the invalid value.

  Returns
    the value (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved